**********************************************
*       MODEL: CONSTANT RETURNS TO SCALE
*              1992 COUNTERFACTUAL
*            !!!!!!!!STATIC!!!!!!!!!
*
*             non-nested Armington
*
*     NOTE: AN ERROR MESSAGE MAY BE GENERATED
*     AFTER THE SIMULATIONS BECAUSE OF EMPTY
*     EXPORT CELLS, CAUSING THE PRECENTAGE
*     CHANGE IN EXPORTS FORMULA TO BLOW-UP.
*     THIS IS NON-FATAL, AND SHOULD BE IGNORED.
*
*     This model was built by Joseph Francois
*     and Brad McDonald, GATT/WTO Secretariat
**********************************************

$ONTEXT

$MODEL:IBRD

$SECTORS:
     Y(G,R)$Y0(G,R)               ! PRODUCTION SECTOR FOR GOOD G IN REGION R
     A(G,R)                       ! ARMINGTON COMPOSITE OF GOOD G IN REGION R
     DOM(G,R)                     ! DOMESTIC DEMAND OF DOMESTIC PRODUCT
     C(R)                         ! PRIVATE CONSUMPTION IN REGION R

$COMMODITIES:
     PD(G,R)                      ! DOMESTIC GOOD
     PDOM(G,R)                    ! DOMESTIC ABSORPTION
     PF(F,R)                      ! PRIMARY FACTORS
     PA(G,R)                      ! ARMINGTON COMPOSITE
     PC(R)                        ! PRIVATE CONSUMPTION
     QD(FD,R,TR)$QD0(FD,R,TR)     ! SHADOW PRICE ON BILATERAL QR
     QR(NF,R,TR)$QR0(NF,R,TR)     ! SHADOW PRICE ON BILATERAL QR

$CONSUMERS:
          RA(R)                   ! REPRESENTATIVE CONSUMER IN REGION R

$AUXILIARY:
        EXPAND(R)          	  ! CAPITAL EXPANSION IN STEADY STATE
        CONTRACT(R)      	  ! CAPITAL CONTRACTION IN STEADY STATE

$PROD:Y(G,R)$Y0(G,R)  s:ELASP(G,R)  a:ELASPVA(G,R) b:ELASPIN(G,R)
  O:PD(G,R)  Q:Y0(G,R)    A:RA(R)  T:TY(G,R)
  I:PF(F,R)  Q:F0(F,G,R)  a:  
  I:PA(GG,R) Q:I0(GG,G,R) b:

$PROD:DOM(G,R)$D0(G,R)
  O:PDOM(G,R)  Q:D0(G,R)
  I:PD(G,R)    Q:D0(G,R)

$PROD:A(FD,R)  s:ELASA(FD,R) R1(s):0 R2(s):0 R3(s):0 R4(s):0 R5(s):0 
+ R6(s):0 R7(s):0 R8(s):0 R9(s):0 R10(s):0 R11(s):0 R12(s):0 R13(s):0
  O:PA(FD,R)    Q:A0(FD,R) 
  I:PDOM(FD,R)  Q:D0(FD,R)  
  I:PD(FD,TR)   Q:X0(FD,TR,R) P:PM0(FD,TR,R)  REGNUM.TE(TR):  
+  A:RA(TR)  S:SX(FD,TR,R)  
  I:QD(FD,TR,R) Q:QD0(FD,TR,R)  REGNUM.TE(TR):

$PROD:A(NF,R)  s:ELASA(NF,R) R1(s):0 R2(s):0 R3(s):0 R4(s):0 R5(s):0 
+ R6(s):0 R7(s):0 R8(s):0 R9(s):0 R10(s):0 R11(s):0 R12(s):0 R13(s):0
  O:PA(NF,R)    Q:A0(NF,R) 
  I:PDOM(NF,R)  Q:D0(NF,R)  
  I:PD(NF,TR)   Q:X0(NF,TR,R) P:PM0(NF,TR,R)  REGNUM.TE(TR):
+  A:RA(TR)  S:SX(NF,TR,R)  A:RA(R) T:(TM(NF,TR,R)*(1-SX(NF,TR,R)))
  I:QR(NF,TR,R) Q:QR0(NF,TR,R) REGNUM.TE(TR):

$PROD:C(R)  s:ELASC(R) a:ELASCFD(R) b:ELASCNF(R)
  O:PC(R) Q:(SUM(G,C0(G,R)))
  I:PA(FD,R)   Q:C0(FD,R)  a:
  I:PA(NF,R)   Q:C0(NF,R)  b:

$DEMAND:RA(R)  s:1.0
  D:PC(R)                       Q:(SUM(G,C0(G,R)))
  E:PF("LAND__",R)       	Q:E0("LAND__",R)
  E:PF("LABOUR",R)       	Q:E0("LABOUR",R)
  E:PF("CAPTAL",R)       	Q:E0("CAPTAL",R)
  E:PC("JAPAN_")                Q:TRANSF0(R)
  E:QD(FD,TR,R)     		Q:(QD0(FD,TR,R)*QENDOW(FD,R)) 
  E:QR(NF,R,TR)            	Q:(QR0(NF,R,TR)*QENDOW(NF,TR)) 
  E:PF("CAPTAL",R)              Q:(E0("CAPTAL",R)*SWITCH)     R:EXPAND(R)
  E:PF("CAPTAL",R)              Q:(-E0("CAPTAL",R)*SWITCH)    R:CONTRACT(R)

*  THIS NEXT SECTION PROVIDES THE STEADY-STATE
*  CLOSURE WITH FIXED SAVINGS RATES.
*  INDEXING IS BASED ON THE ASSUMPTION THAT
*  THE COMPOSITE CONSUMPTION GOOD IS USED FOR
*  BOTH CONSUMPTION AND INVESTMENT, WITH
*  THE ACTUAL ALLOCATION BEING BASED ON
*  FIXED SHARES.

$CONSTRAINT:EXPAND(R)
  EXPAND(R) =G=  (C(R)-1);

$CONSTRAINT:CONTRACT(R)
  CONTRACT(R) =G= -(C(R)-1);

$OFFTEXT
$SYSINCLUDE mpsgeset IBRD
